> ## Documentation Index
> Fetch the complete documentation index at: https://incredible-42686482-cursor-create-detailed-ai-agent-cookboo.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Quickstart

> Say “Hello, Incredible!” with one request

Welcome to **Incredible**!

The fastest way to get started is with a single API call—say *“Hello, Incredible!”* using cURL.

### 📡 Make Your First API Call

Run the following cURL command to send your first request:

```bash
curl -X POST "https://api.incredible.one/v1/chat-completion" \
  -H "Content-Type: application/json" \
  -d '{
    "model": "small-1",
    "messages": [
      { "role": "user", "content": "Hello, Incredible!" }
    ]
  }'
```

**Example output:**

```jsx
{
    "result": {
        "thinking": "The user is greeting me with \"Hello, Incredible!\" I should respond politely and introducem myself as a helpful assistant. I don't need to use any tools for this simple greeting."
        "response": [{
            "content": "\nHello! I'm an AI assistant powered by Incredible, and I'm here to help you. I have access to various tools that allow me to run functions and perform analysis. How can I assist you today?",
            "role": "assistant"
        }],
    }
}
```

The output includes what the model was “thinking” before it gave the user a “response”.

<div style={{ border: '1px solid #FF6200', borderRadius: '12px', padding: '16px', margin: '16px 0', background: 'rgba(255, 98, 0, 0.08)' }}>
  <strong>Quick note:</strong> The model can also perform other types of server-side actions, and will include the results from those in the response. The full response needs to be added to future messages. Tip: copy all items from the response into your messages so the model can use them in subsequent steps.
</div>

<div style={{ display: 'grid', gridTemplateColumns: 'repeat(3, minmax(0, 1fr))', gap: '16px' }}>
  <Card title="Taking actions" icon="wrench" href="/guides/taking-actions-overview">
    Using function calling.
  </Card>

  <Card title="Capabilities" icon="bolt" href="/guides/streaming-responses">
    Learn about streaming responses and more.
  </Card>

  <Card title="Cookbook" icon="github" href="https://github.com/Norditech-AB/Incredible-API-Cookbook">
    Example projects you can try out.
  </Card>
</div>
